Imports dGen.Library.Enums.QueryEnums.QueryOperatorEnum
Imports dGen.Library.Enums.QueryEnums.CompareEnum
Public Class HistoricoConcursoPostulanteDbHelper
    Inherits DbHelper(Of HistoricoConcursoPostulante,SqlDbType)

#Region "Metodos Generador"
    Public Function GetListHistoricoConcursoPostulanteByConcursoPostulante(ByVal idConcursoPostulante as Int32, Optional ByVal foreignLevel As Integer=0) As EntityList(Of HistoricoConcursoPostulante)
        Dim QueryObject = CreateQueryObject()
        QueryObject.CreateQuery(foreignLevel)
        QueryObject.Where(_None, _Equals).idConcursoPostulante = idConcursoPostulante
        Return QueryObject.ExecuteList()
    End Function


#End Region
End Class
